## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition
Interface ListRangePartitionItem

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  ListRangePartitionItemImpl

    public interface ListRangePartitionItem

extends SQLObject

A representation of the model object 'List Range Partition Item'.

The following features are supported:

- `Partition Name`
- `Values`
- `Segment`

See Also:
  `PartitionPackage.getListRangePartitionItem()`

Method Summary
`java.lang.String` `getPartitionName()` Returns the value of the 'Partition Name' attribute.
`SybaseASESegment` `getSegment()` Returns the value of the 'Segment' reference.
`org.eclipse.emf.common.util.EList` `getValues()` Returns the value of the 'Values' attribute list.
`void` `setPartitionName(java.lang.String value)` Sets the value of the '`Partition Name`' attribute.
`void` `setSegment(SybaseASESegment value)` Sets the value of the '`Segment`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPartitionName

    java.lang.String getPartitionName()

  Returns the value of the 'Partition Name' attribute.

  If the meaning of the 'Partition Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Partition Name' attribute.
  See Also:
    `setPartitionName(String)`, `PartitionPackage.getListRangePartitionItem_PartitionName()`

### setPartitionName

    void setPartitionName(java.lang.String value)

  Sets the value of the '`Partition Name`' attribute.

  Parameters:
    `value` - the new value of the 'Partition Name' attribute.
  See Also:
    `getPartitionName()`

### getValues

    org.eclipse.emf.common.util.EList getValues()

  Returns the value of the 'Values' attribute list. The list contents are of type `String`.

  If the meaning of the 'Values' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Values' attribute list.
  See Also:
    `PartitionPackage.getListRangePartitionItem_Values()`

### getSegment

    SybaseASESegment getSegment()

  Returns the value of the 'Segment' reference.

  If the meaning of the 'Segment' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Segment' reference.
  See Also:
    `setSegment(SybaseASESegment)`, `PartitionPackage.getListRangePartitionItem_Segment()`

### setSegment

    void setSegment(SybaseASESegment value)

  Sets the value of the '`Segment`' reference.

  Parameters:
    `value` - the new value of the 'Segment' reference.
  See Also:
    `getSegment()`